Package csb :: Package bio :: Package io :: Module noe :: Class XeasyFileBuilder

[frames] | no frames]

# Class XeasyFileBuilder

source code

    object --+
             |
            XeasyFileBuilder

XEASY output format builder.

Instance Methods

__init__(self, stream) x.__init__(...) initializes x; see help(type(x)) for signature | source code

add_header(self, spectrum) Write the XEASY header. | source code

add_peaks(self, spectrum) Write all peaks from `spectrum`. | source code

add_spectrum(self, spectrum) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, stream)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `stream` (file) - destination stream, were the output is written
Overrides: object.__init__
  (inherited documentation)

### add_header(self, spectrum)

source code

Write the XEASY header.

Parameters:
  - `spectrum` (NOESpectrum) - NOE spectrum

### add_peaks(self, spectrum)

source code

Write all peaks from `spectrum`.

Parameters:
  - `spectrum` (NOESpectrum) - NOE spectrum